Package protocolP2P

## Class Payload

- java.lang.Object
- - protocolP2P.Payload

- Direct Known Subclasses:
    `FileList`, `FilePart`, `LoadRequest`

      public class Payload
      extends java.lang.Object

  Representation of payload. If payload has a size, use subclasses instead.
  Version:
    1.0
  Author:
    Louis Royer, Flavien Haas, JS Auge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Payload​(RequestResponseCode requestResponseCode)` | Consructor used to create Payload with a payload size of zero using a RRCode.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RequestResponseCode` | `getRequestResponseCode()` | RRCode getter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Payload

          public Payload​(RequestResponseCode requestResponseCode)
                  throws InternalError

      Consructor used to create Payload with a payload size of zero using a RRCode.
      Parameters:
        `requestResponseCode` - Request/Response code associated with the payload
      Throws:
        `InternalError`

  - ### Method Detail

    - #### getRequestResponseCode

          public RequestResponseCode getRequestResponseCode()

      RRCode getter.
      Returns:
        Request/Response code